Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
packages
/
{package_id}
Get package
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/packages/{package_id}
import requests

url = "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/packages/{package_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/packages/{package_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "enable": true,
  "feeGroupLabel": "<string>",
  "fees": {},
  "id": "<string>",
  "ledgerId": "<string>",
  "maximumAmount": "<string>",
  "minimumAmount": "<string>",
  "segmentId": "<string>",
  "transactionRoute": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "waivedAccounts": [
    "<string>"
  ]
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Headers

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Authorization
string

Bearer JWT token for authentication. Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments). Optional in default OSS single-tenant mode. Format: Bearer <token>

Path Parameters

organization_id
string<uuid>
required

The unique identifier of the Organization associated with the Ledger.

package_id
string
required

Package ID (UUID)

Response

OK

createdAt
string<date-time>
required
Example:

"2021-01-01T00:00:00Z"

deletedAt
string<date-time> | null
required
Example:

"2021-01-01T00:00:00Z"

description
string | null
required
Example:

"Pacote de taxas administrativas padrão"

enable
boolean | null
required
feeGroupLabel
string
required
Example:

"Pacote Padrão"

fees
object
required
id
string
required
Example:

"00000000-0000-0000-0000-000000000000"

ledgerId
string
required
Example:

"00000000-0000-0000-0000-000000000000"

maximumAmount
string
required
Example:

"2"

minimumAmount
string
required
Example:

"100"

segmentId
string
required
Example:

"00000000-0000-0000-0000-000000000000"

transactionRoute
string | null
required
Example:

"debitoted"

updatedAt
string<date-time>
required
Example:

"2021-01-01T00:00:00Z"

waivedAccounts
string[] | null
required
Example:
["acc001", "acc002"]